DB_ENV->lock_id |

`

    #include <db.h>

    int
    DB_ENV->lock_id(DB_ENV *env, u_int32_t *idp);

Description: DB_ENV->lock_id

The DB_ENV->lock_id method copies a locker ID, which is guaranteed to be unique in the specified lock table, into the memory location to which idp refers.

The DB_ENV->lock_id_free method should be called to return the locker ID to the Berkeley DB library when it is no longer needed.

The DB_ENV->lock_id method returns a non-zero error value on failure and 0 on success.

Parameters
idp

- The idp parameter references memory into which the allocated locker ID is copied.

Class DB_ENV, DB_LOCK
See Also Locking Subsystem and Related Methods`

Copyright (c) 1996,2008 Oracle. All rights reserved.